Bug 244623 - Review Request: OggConvert - OggConvert is a small GNOME utility that uses GStreamer to convert media files to the licence-free Theora and Vorbis formats.
Review Request: OggConvert - OggConvert is a small GNOME utility that uses GS...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 01:16 EDT by Neal Gompa
Modified: 2012-02-29 08:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 18:04:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Mock build log (7.16 KB, text/plain)
2007-06-27 15:33 EDT, Brian Pepple
no flags Details
Mock Build Failure Log (2.49 KB, text/plain)
2007-09-05 21:48 EDT, Brian Pepple
no flags Details

  None (edit)
Description Neal Gompa 2007-06-18 01:16:20 EDT
Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.0-2.fc7.src.rpm
md5sum: 6ab2a9e2e9e62c8086779a6d98b93b6a
sha1sum: a5cf1a491a1de1d71fa3ca0d4e5d8ace5d270a2b

Description: OggConvert is a small GNOME utility that...

* Is painfully easy to use: drag a file onto the source bar (or use the file chooser) and hit Convert. Of course, you can also change the quality settings and the output filename if you like.

* Uses GStreamer, so it can convert (almost) any file which Totem can play

* Can deal with audio-only files, video-only files, and files with many audio tracks (such as DVD rips with a commentary track).

* Thanks to the magic of GStreamer, metadata (for example, title and artist info on an MP3) is preserved

* Adheres to the GNOME HIG as much as possible
Comment 1 Tyler Owen 2007-06-18 22:05:15 EDT
This is not an official review as I am not sponsored, but I helps!  

-------------------------------------------
Execute Summary:
-------------------------------------------
* rpmlint not silent
* Mock failed to build
* Changelog not correct - missing version info
* License in SPEC should be LGPL instead of GNU LGPL
* %files needs work.  It installs files without the RPM owning, and tries to own
directories it should not
* Desktop file not installed correctly

-------------------------------------------
Details:
-------------------------------------------

 FIX - Mock : Does not build.  Attempted on F-7 (x86)
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 FIX - Meets Packaging Guidelines.
        * Files section needs work
 FIX - License field in spec matches - should be LGPL instead of GNU LGPL
 OK - License is Open Souce - LGPL
 OK - License match extras packaging policy licenses allowed
 OK - License file is included in package
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources SHOULD match upstream md5sum:
a825bf00977e3410f9009198dbcc1fbb  oggconvert-0.2.0.tar.gz
 OK - Package has correct buildroot.
 OK - extras BuildRequires are not redundant.
 ? - %build and %install stages are correct and work.
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - Package has no duplicate files in %files.
 FIX - Package doesn't own any directories that other packages own.
        Package tries to own %{_bindir}/*
 FIX - Changelog section is missing version numbers for each entry. 
 FIX - Desktop file not installed using desktop-file-install (see
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop for procedure)
 ? - Should function as described.
 OK - Should package latest version

-------------------------------------------
Rpmlint output:
-------------------------------------------
FIX - SRPM not silent
        rpmlint oggconvert-0.2.0-2.fc7.src.rpm 
        E: oggconvert description-line-too-long OggConvert is a small GNOME
utility that uses GStreamer to convert media files to the licence-free Theora
and Vorbis formats.
        E: oggconvert description-line-too-long * It's painfully easy to use:
drag a file onto the source bar (or use the file chooser) and hit convert. Of
course, you can also change the quality settings and the output filename if you
like.
        E: oggconvert description-line-too-long * It can deal with audio-only
files, video-only files, and files with many audio tracks (such as DVD rips with
a commentary track).
        E: oggconvert description-line-too-long * Thanks to the magic of
GStreamer, metadata (for example, title and artist info on an MP3) is preserved
        W: oggconvert non-standard-group Applications/AudioVideo
        W: oggconvert invalid-license GNU LGPL
        E: oggconvert unknown-key GPG#ef98a217
        W: oggconvert mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 13)
Comment 2 Jason Tibbitts 2007-06-19 22:55:39 EDT
BTW, this fails due to a missing build dependency on gstreamer-python.
Comment 3 Neal Gompa 2007-06-20 16:02:26 EDT
Well, I have updated it, and dropped in a new specfile...

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec
binary RPM URL:
http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.0-3.fc7.noarch.rpm
md5sum: a7689264a44724b274a9a9ee325f9ba5
sha1sum: 77fcdab2b5a56a556c2e9c074dd841cd81080e2b
SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.0-3.fc7.src.rpm
md5sum: c5f8ed9088174dba5f23c5161b64fe1f
sha1sum: 145e37983f57d913e28f7222845335a5b4bc586e

These rpms are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)
Comment 4 Neal Gompa 2007-06-20 16:25:03 EDT
Oops, I messed up and forgot to add a BuildRequires....
Here are new ones

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

binary RPM URL:
http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.0-4.fc7.noarch.rpm
md5sum: bed41cd1e34c371984fb63903f397c63
sha1sum: 88ac7d3f210ef358d90338822aa4f78e0b7ce6c5

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.0-4.fc7.src.rpm
md5sum: c1a0d6188145d8f27d18aabf42f998e0
sha1sum: ab6aaffeba3bfbc915f3cbe77435027ca73d3628

These rpms are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)
Comment 5 Neal Gompa 2007-06-20 16:47:07 EDT
I fixed the category and made it standard Applications/Multimedia....

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.0-5.fc7.noarch.rpm
md5sum: c785c8ce6e6bb6f3dfdbd2863ef6060e
sha1sum: a9b7915efefacdcd32663ebfd7bccf73607d9a1d

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.0-5.fc7.src.rpm
md5sum: 64401746a7a99885095ab9aa37d68dbf
sha1sum: 2c0de088a828de152f5cd8316be0e459385bdad8

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

I am confident that all the issues have been fixed...
Comment 6 Neal Gompa 2007-06-20 17:04:25 EDT
Oops, forgot to version changelog....
Now that is fixed, here they are...

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.0-6.fc7.noarch.rpm
md5sum: d632cb0a0e42ea78b2bce4799710e9e7
sha1sum: 2101d7c079f7d255a3c60b9fa84e610328629e80

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.0-6.fc7.src.rpm
md5sum: 15b44a8932c6ddf961d8472fd77466ce
sha1sum: 4d6a633b6781ac8584cf50c7067146aa61fe90e8

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

NOW... I am confident that all the issues have been fixed...
Comment 7 Neal Gompa 2007-06-20 18:00:05 EDT
damn, i forgot to say I need a sponsor.... This is my first package submission!
Comment 8 David Nielsen 2007-06-20 22:12:21 EDT
I'm setting this to block FE-NEEDSPONSOR so we can get that little matter out of
the way get the King onboard with Fedora.
Comment 9 Brian Pepple 2007-06-26 23:10:56 EDT
I should have some time to do the review tomorrow, and would be willing to be
your sponsor.
Comment 10 Brian Pepple 2007-06-27 15:32:37 EDT
MD5Sums:
a825bf00977e3410f9009198dbcc1fbb  oggconvert-0.2.0.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* All desired features are enabled

Bad
* Unnecessary Requires on python. In general you don't need to require python
since python packages require the python(abi).

* Directory ownership is incorrect for '%{python_sitelib}/OggConvert'.  you
should use '%{python_sitelib}/OggConvert/', instead of
'%{python_sitelib}/OggConvert/*' to correct this.

* Desktop file does not have the vendor set to 'fedora'.  Also the desktop file
contains the depreciated category 'Application'.  You need to add
'--remove-category=Application' to your desktop-file-install call to fix this.

* rpmlint produces the following errors:
E: oggconvert non-executable-script
/usr/lib/python2.5/site-packages/OggConvert/ocv_info.py 0644
E: oggconvert non-executable-script
/usr/lib/python2.5/site-packages/OggConvert/__init__.py 0644
E: oggconvert non-executable-script
/usr/lib/python2.5/site-packages/OggConvert/ocv_util.py 0644
E: oggconvert non-executable-script
/usr/lib/python2.5/site-packages/OggConvert/ocv_gtk.py 0644
E: oggconvert non-executable-script
/usr/lib/python2.5/site-packages/OggConvert/ocv_gst.py 0644
E: oggconvert explicit-lib-dependency libglade2
E: oggconvert description-line-too-long OggConvert is a small GNOME utility that
uses GStreamer to convert media files to the patent-free Theora and Vorbis
formats. It's painfully easy to use: drag a file onto the source bar (or use the
file chooser) and hit convert. Of course, you can also change the quality
settings and the output filename if you like. It uses GStreamer, so it can
convert (almost) any file which Totem can play. It can deal with audio-only
files, video-only files, and files with many audio tracks (such as DVD rips with
a commentary track). Thanks to the magic of GStreamer, metadata (for example,
title and artist info on an MP3) is preserved. Finally, it adheres to the GNOME
HIG as much as possible.

* It builds in Mock, but there are some compiling errors that should be looked
at for example:
<snip>
***MEMORY-WARNING***: [2744]: GSlice: g_thread_init() must be called before all
other GLib functions; memory corruption due to late invocation of
g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
</snip>
I'll attach my build log for you to go through, and look at.
Comment 11 Brian Pepple 2007-06-27 15:33:51 EDT
Created attachment 158046 [details]
Mock build log
Comment 12 David Nielsen 2007-06-28 00:47:16 EDT
The memory error is not his problem to deal with as it is glib borkage:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241925
Comment 13 Brian Pepple 2007-07-11 14:53:14 EDT
ping.  are you still interested in submitting this to Fedora?
Comment 14 Neal Gompa 2007-07-11 22:18:31 EDT
Yes, I am... I am having some personal issues this month though... I am planning
to upload ASAP
Comment 15 Neal Gompa 2007-07-11 22:27:39 EDT
updated to 0.2.1, which according to the upstream, will address the Glib issue...

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1-7.fc7.noarch.rpm
md5sum: 8b8088e6a9910cf831f439b9115ffb0f
sha1sum: cba0910080740696c580008f91b9a1870cea5362

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1-7.fc7.src.rpm
md5sum: 5c03bd610807e573778755257768a0a4
sha1sum: 522c9d58fec2504b157d34afeeed8233eb40f2b6

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

Hopefully, mock will build fine with this... aside from my GPG key if it isnt
imported...
Comment 16 Neal Gompa 2007-07-11 22:29:31 EDT
Also, I require python because i specify Python's version there... Though I
might change that...
Comment 17 Neal Gompa 2007-07-11 22:31:31 EDT
And how long is the description supposed to be?
Comment 18 Chris Mohler 2007-07-22 14:24:25 EDT
The rpmlint error is generated because one or more of the lines in the
description is too long.  Have a look here:
http://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors
Comment 19 Neal Gompa 2007-07-23 11:05:43 EDT
Description is fixed, however upstream package for OggConvert 0.2.1.1 has issues
during build that affected upstream, so I notified upstream so that he will fix
it. I do not think it would be worth rebuilding because apparently there were
files missing in 0.2.1, so I am waiting for 0.2.1.1 to be fixed.
Comment 20 Neal Gompa 2007-07-23 13:30:10 EDT
updated to 0.2.1.1, which according to the upstream, will address issues
regarding the building of the application without missing files...

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1.1-8.fc7.noarch.rpm
md5sum: d675b34744eb39768c86c46ce55a4964
sha1sum: 7e627bb1aa0f1cac9ac4263b4bb164aa8457916c

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1.1-8.fc7.src.rpm
md5sum: ee64a2cb4455a23fd16d819b6dca4815
sha1sum: 2ccec0f23dc34739518602d70db40ad01d980a71

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

Hopefully, mock will build fine with this... aside from my GPG key if it isnt
imported... Also, the description issues were fixed.
Comment 21 Neal Gompa 2007-07-25 20:59:15 EDT
0.2.1.1-8 had too many issues in build process when i tried to make it build in
SUSE with a cross-build script which had been included in the spec, that i
trashed it all and reverted, but moved the improvements up...

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1.1-9.fc7.noarch.rpm
md5sum: 4f1ec103aa6666de132fa76698a225f9
sha1sum: 35865f862bfc89a3c0c0593b9c8f6b6b632a28e0

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1.1-9.fc7.src.rpm
md5sum: f55af9a6d30a049f8be8358f8e0b70da
sha1sum: 528bac97e0994f3403f4fcdfff68f84bf58a55a7

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

mock should build fine for this, aside from my GPG key if it isn't imported
Comment 22 Neal Gompa 2007-09-04 00:10:18 EDT
Hopefully this is the last one I have to do... I fixed all the requires and
BuildRequires. No longer requiring -devels, and no longer is there an explicit
dependency on python 2.5.... The .desktop file has long since been updated by
upstream....

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1.1-10.fc7.noarch.rpm
md5sum: 9fc9ab1ea7243829f2d973d8e54ed329
sha1sum: cff1e8a191ef5714aa04ce73d67fcd64b5e199c5

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1.1-10.fc7.src.rpm
md5sum: c0ddea445e121a7dc2a2e23ccd6f8f8d
sha1sum: 30f5f5cd78196314091b60eb1090515afa4ee603

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

mock should build fine for this, aside from my GPG key if it isn't imported
Comment 23 Brian Pepple 2007-09-05 21:48:25 EDT
Created attachment 188341 [details]
Mock Build Failure Log

Here's the build log from Mock.  If I get some free time, I'll look at it a bit
to see what's causing the failure.
Comment 24 Mamoru TASAKA 2007-09-21 23:03:32 EDT
(In reply to comment #23)
> Created an attachment (id=188341) [edit]
> Mock Build Failure Log
> 
> Here's the build log from Mock.  If I get some free time, I'll look at it a bit
> to see what's causing the failure.

This is because "python-devel" is missing from BuildRequires.
Note: libtheora.so reloc problem is perhaps solved by bug 253591 .

Comment 25 Neal Gompa 2007-09-22 00:43:22 EDT
Hopefully this is the last one I have to do... I fixed all the requires and
BuildRequires. Fixed and readded python-devel (that one shouldn't have been
removed...)

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1.1-11.fc7.noarch.rpm
md5sum: 93c94b991f7851762dea0fc36c80a24f
sha1sum: 7b0b0106caa44b25f403cbc2552ade7ec7844dc8

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1.1-11.fc7.src.rpm
md5sum: e893f627f489c2c9b9e0481f75f16e2a
sha1sum: 52837b37c93726dd367c4878e413f8c6b92f557c

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

mock should build fine for this, aside from my GPG key if it isn't imported...
Comment 26 Brian Pepple 2007-10-06 16:48:47 EDT
Looks like there just a couple of items that still need to be fixed.

1. Unnecessary requires on desktop-file-utils.
2. rpmlint produces the following errors which need to be fixed:
oggconvert.noarch: W: invalid-license LGPL
oggconvert.noarch: E: invalid-desktopfile /usr/share/applications/oggconvert.desktop


Comment 27 Neal Gompa 2007-10-06 18:52:19 EDT
The Requires for desktop-file-utils has been removed, license label fixed, and
the desktop should be correct now.

Spec URL: http://rpm.rgw-net.com/SPECS/oggconvert.spec

RPM URL: http://rpm.rgw-net.com/RPMS/fc7/noarch/oggconvert-0.2.1.1-12.fc7.noarch.rpm
md5sum: f2bb1a3cefbe80b8f338fe0ad2dfa6aa
sha1sum: 7640e94aedc2b24a0cca265e336c39487a6b30ff

SRPM URL: http://rpm.rgw-net.com/RPMS/fc7/SRPMS/oggconvert-0.2.1.1-12.fc7.src.rpm
md5sum: b4c65f89b3935501377bcdc23342bb91
sha1sum: cb5354c1fa3539421e398b39dad70363c2fb1d92

This rpm are digitally signed and the GPG key is available, the instructions
for my GPG key are at rpm.rgw-net.com (my first name is Neal)

mock should build fine for this, aside from my GPG key if it isn't imported...
Comment 28 Brian Pepple 2007-11-10 17:25:52 EST
Ok, looks like you fixed the last remaining items.

+1 APPROVED.

Go ahead and create a fedora account, and I'll be your sponsor.
Comment 29 Neal Gompa 2007-11-19 16:55:31 EST
New Package CVS Request
=======================
Package Name: oggconvert
Short Description: Utility to convert media to Ogg formats
Owners: ngompa
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 30 Kevin Fenzi 2007-11-20 13:49:51 EST
cvs done.
Comment 31 Neal Gompa 2007-12-01 18:04:01 EST
Packages built in koji, pending to stable in bodhi....
Comment 32 Andy Grover 2012-02-28 18:35:47 EST
Hi, just looking to get this into epel.

Package Change Request
======================
Package Name: oggconvert
New Branches: el6 el5
Owners: ngompa grover
Comment 33 Jon Ciesla 2012-02-29 08:00:27 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.